TakenAt: 2019-06-11T18:44:13Z
TakenSrc: meta
UID: pqbcf3f25c9aln5j
Type: image
Title: Truck / Vancouver / 2019
TimeZone: America/Vancouver
PlaceSrc: meta
Altitude: 5
Lat: 49.271553
Lng: -123.13424
Year: 2019
Month: 6
Day: 11
ISO: 25
Exposure: 1/725
FNumber: 2.2
FocalLength: 29
Quality: 4
Details:
  Keywords: blue, british-columbia, canada, demo, truck, vancouver
CreatedAt: 2020-06-03T09:16:27Z
UpdatedAt: 2021-02-21T21:37:51.97887802Z
